init u|telinit u crashes with SIGSEGV in main()

Bug #273761 reported by tdflanders on 2008-09-23
918
This bug affects 10 people
Affects Status Importance Assigned to Milestone
upstart (Ubuntu)
High
Scott James Remnant (Canonical)
Intrepid
High
Scott James Remnant (Canonical)

Bug Description

Binary package hint: upstart

thomas@thomas-laptop:~$ lsb_release -rd ; uname -a ; apt-cache policy linux apt network-manager gnome-terminal firefox deluge-torrent virtualbox-2.0 upstart telinit
Description: Ubuntu intrepid (development branch)
Release: 8.10
Linux thomas-laptop 2.6.27-4-generic #1 SMP Mon Sep 22 04:40:44 UTC 2008 i686 GNU/Linux
linux:
  Installed: 2.6.27.4.4
  Candidate: 2.6.27.4.4
  Version table:
 *** 2.6.27.4.4 0
        500 http://gb.archive.ubuntu.com intrepid/restricted Packages
        100 /var/lib/dpkg/status
     2.6.27.3.3 0
        500 cdrom://Ubuntu 8.10 _Intrepid Ibex_ - Alpha i386 (20080917.1) intrepid/restricted Packages
apt:
  Installed: 0.7.14ubuntu6
  Candidate: 0.7.14ubuntu6
  Version table:
 *** 0.7.14ubuntu6 0
        500 cdrom://Ubuntu 8.10 _Intrepid Ibex_ - Alpha i386 (20080917.1) intrepid/main Packages
        500 http://gb.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status
network-manager:
  Installed: 0.7~~svn20080908t183521+eni0-0ubuntu3
  Candidate: 0.7~~svn20080908t183521+eni0-0ubuntu3
  Version table:
 *** 0.7~~svn20080908t183521+eni0-0ubuntu3 0
        500 cdrom://Ubuntu 8.10 _Intrepid Ibex_ - Alpha i386 (20080917.1) intrepid/main Packages
        500 http://gb.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status
gnome-terminal:
  Installed: 2.24.0-0ubuntu1
  Candidate: 2.24.0-0ubuntu1
  Version table:
 *** 2.24.0-0ubuntu1 0
        500 http://gb.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status
     2.23.91-0ubuntu1 0
        500 cdrom://Ubuntu 8.10 _Intrepid Ibex_ - Alpha i386 (20080917.1) intrepid/main Packages
firefox:
  Installed: 3.0.2+build3+nobinonly-0ubuntu2
  Candidate: 3.0.2+build3+nobinonly-0ubuntu2
  Version table:
 *** 3.0.2+build3+nobinonly-0ubuntu2 0
        500 cdrom://Ubuntu 8.10 _Intrepid Ibex_ - Alpha i386 (20080917.1) intrepid/main Packages
        500 http://gb.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status
deluge-torrent:
  Installed: 0.5.9.3-1
  Candidate: 0.5.9.3-1
  Version table:
 *** 0.5.9.3-1 0
        500 http://gb.archive.ubuntu.com intrepid/universe Packages
        100 /var/lib/dpkg/status
virtualbox-2.0:
  Installed: 2.0.2-36488_Ubuntu_hardy
  Candidate: 2.0.2-36488_Ubuntu_hardy
  Version table:
 *** 2.0.2-36488_Ubuntu_hardy 0
        500 http://download.virtualbox.org hardy/non-free Packages
        100 /var/lib/dpkg/status
upstart:
  Installed: 0.3.9-7
  Candidate: 0.3.9-7
  Version table:
 *** 0.3.9-7 0
        500 http://gb.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status
     0.3.9-6 0
        500 cdrom://Ubuntu 8.10 _Intrepid Ibex_ - Alpha i386 (20080917.1) intrepid/main Packages
W: Unable to locate package telinit
thomas@thomas-laptop:~$

ProblemType: Crash
Architecture: i386
CrashCounter: 1
DistroRelease: Ubuntu 8.10
ExecutablePath: /sbin/telinit
Package: upstart-compat-sysv 0.3.9-7
ProcAttrCurrent: unconfined
ProcCmdline: init u
ProcEnviron:
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
Signal: 11
SourcePackage: upstart
Stacktrace:
 #0 0xb80b716e in ?? () from /sbin/telinit
 #1 0xb80b3a9e in main () from /sbin/telinit
StacktraceTop:
 ?? () from /sbin/telinit
 main () from /sbin/telinit
ThreadStacktrace:
 .
 Thread 1 (process 23900):
 #0 0xb80b716e in ?? () from /sbin/telinit
 #1 0xb80b3a9e in main () from /sbin/telinit
Title: telinit crashed with SIGSEGV in main()
Uname: Linux 2.6.27-4-generic i686
UserGroups:

tdflanders (thomasdelbeke) wrote :

StacktraceTop:main (argc=2, argv=) at telinit.c:137

Changed in upstart:
importance: Undecided → Medium

Second time:

thomas@thomas-laptop:~$ lsb_release -rd ; uname -a ; apt-cache policy linux network-manager apport-gtk gnome-terminal telinit
Description: Ubuntu intrepid (development branch)
Release: 8.10
Linux thomas-laptop 2.6.27-4-generic #1 SMP Wed Sep 24 01:30:51 UTC 2008 i686 GNU/Linux
linux:
  Installed: 2.6.27.4.4
  Candidate: 2.6.27.4.4
  Version table:
 *** 2.6.27.4.4 0
        500 http://gb.archive.ubuntu.com intrepid/restricted Packages
        100 /var/lib/dpkg/status
     2.6.27.3.3 0
        500 cdrom://Ubuntu 8.10 _Intrepid Ibex_ - Alpha i386 (20080917.1) intrepid/restricted Packages
network-manager:
  Installed: 0.7~~svn20080908t183521+eni0-0ubuntu4
  Candidate: 0.7~~svn20080908t183521+eni0-0ubuntu4
  Version table:
 *** 0.7~~svn20080908t183521+eni0-0ubuntu4 0
        500 http://gb.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status
     0.7~~svn20080908t183521+eni0-0ubuntu3 0
        500 cdrom://Ubuntu 8.10 _Intrepid Ibex_ - Alpha i386 (20080917.1) intrepid/main Packages
apport-gtk:
  Installed: 0.115
  Candidate: 0.115
  Version table:
 *** 0.115 0
        500 http://gb.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status
     0.114 0
        500 cdrom://Ubuntu 8.10 _Intrepid Ibex_ - Alpha i386 (20080917.1) intrepid/main Packages
gnome-terminal:
  Installed: 2.24.0-0ubuntu1
  Candidate: 2.24.0-0ubuntu1
  Version table:
 *** 2.24.0-0ubuntu1 0
        500 http://gb.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status
     2.23.91-0ubuntu1 0
        500 cdrom://Ubuntu 8.10 _Intrepid Ibex_ - Alpha i386 (20080917.1) intrepid/main Packages
W: Unable to locate package telinit
thomas@thomas-laptop:~$

System info:

Acer Aspire 9410-4933
Intel Core Duo processor T2450
(2.0 GHz, 533 MHz FSB, 2MB L2 cache)
17" WXGA+ Acer CrystalBrite LCD
Intel Graphics Media Accelerator 950
160GB HDD
DVD-Super Multi double layer
(support DVD+-R Double Layer/DVD+-RW)
1GB DDR2
802.11a/b/g wireless LAN

tdflanders (thomasdelbeke) wrote :

Problem persists:

thomas@thomas-laptop:~$ lsb_release -rd ; uname -a ; apt-cache policy linux dpkg-reconfigure dpkg apport-gtk telinit
Description: Ubuntu intrepid (development branch)
Release: 8.10
Linux thomas-laptop 2.6.27-4-generic #1 SMP Wed Sep 24 01:30:51 UTC 2008 i686 GNU/Linux
linux:
  Installed: (none)
  Candidate: 2.6.27.4.4
  Version table:
     2.6.27.4.4 0
        500 http://gb.archive.ubuntu.com intrepid/restricted Packages
dpkg:
  Installed: 1.14.20ubuntu6
  Candidate: 1.14.20ubuntu6
  Version table:
 *** 1.14.20ubuntu6 0
        500 http://gb.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status
apport-gtk:
  Installed: 0.116
  Candidate: 0.116
  Version table:
 *** 0.116 0
        500 http://gb.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status
W: Unable to locate package dpkg-reconfigure
W: Unable to locate package telinit
thomas@thomas-laptop:~$

tdflanders (thomasdelbeke) wrote :
Download full text (3.2 KiB)

This time I got it while running dpkg-reconfigure -aup low.

When it crashed I got the bug.

run-parts: executing /etc/kernel/postinst.d/nvidia-common
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.27-4-generic
cpio: ./sbin/udevtrigger: Cannot stat: No such file or directory
Not updating initrd symbolic links since we are being updated/reinstalled
(2.6.27-4.6 was configured last, according to dpkg)
Not updating image symbolic links since we are being updated/reinstalled
(2.6.27-4.6 was configured last, according to dpkg)
Running postinst hook script /sbin/update-grub.
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /boot/vmlinuz-2.6.27-4-generic
Found kernel: /boot/last-good-boot/vmlinuz
Found kernel: /boot/vmlinuz-2.6.27-3-generic
Found kernel: /boot/memtest86+.bin
Updating /boot/grub/menu.lst ... done

Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms
 * Running DKMS auto installation service for kernel 2.6.27-4-generic
 * vboxdrv (2.0.2)... vboxdrv (2.0.2): Already installed on this kernel.
                                                                         [ OK ]
run-parts: executing /etc/kernel/postinst.d/nvidia-common
update-initramfs: Generating /boot/initrd.img-2.6.27-3-generic
cpio: ./sbin/udevtrigger: Cannot stat: No such file or directory
update-initramfs: Generating /boot/initrd.img-2.6.27-4-generic
cpio: ./sbin/udevtrigger: Cannot stat: No such file or directory
 * PCMCIA bridge driver already present in kernel
mktexlsr: Updating /var/lib/texmf/ls-R-TEXMFMAIN...
mktexlsr: Done.
 * Updating the system logo... /etc/init.d/linuxlogo: 60: cannot create /etc/issue.linuxlogo: Directory nonexistent
invoke-rc.d: initscript linuxlogo, action "restart" failed.
thomas@thomas-laptop:~$

I will try to reproduce this with valgrind.

thomas@thomas-laptop:~$ lsb_release -rd ; uname -a ; apt-cache policy linux linux-source-2.6.27 linux-headers-generic linux-image-generic
Description: Ubuntu intrepid (development branch)
Release: 8.10
Linux thomas-laptop 2.6.27-4-generic #1 SMP Wed Sep 24 01:30:51 UTC 2008 i686 GNU/Linux
linux:
  Installed: 2.6.27.4.4
  Candidate: 2.6.27.4.4
  Version table:
 *** 2.6.27.4.4 0
        500 http://gb.archive.ubuntu.com intrepid/restricted Packages
        100 /var/lib/dpkg/status
linux-source-2.6.27:
  Installed: 2.6.27-4.6
  Candidate: 2.6.27-4.6
  Version table:
 *** 2.6.27-4.6 0
        500 http://gb.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status
linux-headers-generic:
  Installed: 2.6.27.4.4
  Candidate: 2.6.27.4.4
  Version table:
 *** 2.6.27.4.4 0
        500 http://gb.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status
linux-image-generic:
  Installed: 2.6.27.4.4
  Candidate: 2.6.27.4.4
  Version table:
 *** 2.6.27.4.4 0
        500 http://gb.archive.ubuntu.com intrepid/ma...

Read more...

Alec Wright (alecjw) wrote :

Same problem here. No idea wtf happened. Crash report just popped up about 3 mins after login

Crashed happened also here during an update

Per Kongstad (p-kongstad) wrote :

Hi, happened to me during update Today.

This is an Alpha3 updated from time to time.

64bit in Vritualbox 2.02.

James Dupin (james.dupin) wrote :

same.
occured while updating today

Mathieu Marquer (slasher-fun) wrote :

Confirming, I think that there are enough comments for this :-)

NO NEED TO CONFIRM anymore unless you could provide relevant informations, thank you ;-)

Changed in upstart:
status: New → Confirmed
-JojoMan- (jojoman02) wrote :

mine occured during an update also for those wondering...

jsavage (jeremiahsavage) wrote :
Download full text (3.4 KiB)

The crash happened on my machine after upgrading libc6. Info below:

Current status: 22 updates [+22], 3 new [+3].
root@ubuntuIbex:~# aptitude safe-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
The following packages will be upgraded:
  capplets-data compiz compiz-core compiz-gnome compiz-plugins
  compiz-wrapper f-spot gnome-control-center hal human-icon-theme libc6
  libc6-dev libc6-i686 libdecoration0 libgnome-window-settings1
  libhal-storage1 libhal1 python-glade2 python-gtk2 python-gtkhtml2
  update-manager update-manager-core
22 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 16.4MB of archives. After unpacking 188kB will be used.
Do you want to continue? [Y/n/?]
Writing extended state information... Done
Get:1 http://us.archive.ubuntu.com intrepid/main libc6-dev 2.8~20080505-0ubuntu7 [3406kB]
Get:2 http://us.archive.ubuntu.com intrepid/main libc6 2.8~20080505-0ubuntu7 [4365kB]
Get:3 http://us.archive.ubuntu.com intrepid/main libc6-i686 2.8~20080505-0ubuntu7 [1286kB]
Get:4 http://us.archive.ubuntu.com intrepid/main python-glade2 2.13.0-0ubuntu5 [46.3kB]
Get:5 http://us.archive.ubuntu.com intrepid/main python-gtk2 2.13.0-0ubuntu5 [1363kB]
Get:6 http://us.archive.ubuntu.com intrepid/main update-manager 1:0.93.18 [783kB]
Get:7 http://us.archive.ubuntu.com intrepid/main update-manager-core 1:0.93.18 [217kB]
Get:8 http://us.archive.ubuntu.com intrepid/main capplets-data 1:2.24.0.1-0ubuntu2 [342kB]
Get:9 http://us.archive.ubuntu.com intrepid/main libdecoration0 1:0.7.7+git20080807-0ubuntu12 [53.7kB]
Get:10 http://us.archive.ubuntu.com intrepid/main compiz-gnome 1:0.7.7+git20080807-0ubuntu12 [333kB]
Get:11 http://us.archive.ubuntu.com intrepid/main compiz-plugins 1:0.7.7+git20080807-0ubuntu12 [435kB]
Get:12 http://us.archive.ubuntu.com intrepid/main libhal1 0.5.11-3~ubuntu9 [90.5kB]
Get:13 http://us.archive.ubuntu.com intrepid/main gnome-control-center 1:2.24.0.1-0ubuntu2 [371kB]
Get:14 http://us.archive.ubuntu.com intrepid/main libgnome-window-settings1 1:2.24.0.1-0ubuntu2 [71.0kB]
Get:15 http://us.archive.ubuntu.com intrepid/main compiz-wrapper 1:0.7.7+git20080807-0ubuntu12 [40.0kB]
Get:16 http://us.archive.ubuntu.com intrepid/main compiz-core 1:0.7.7+git20080807-0ubuntu12 [244kB]
Get:17 http://us.archive.ubuntu.com intrepid/main compiz 1:0.7.7+git20080807-0ubuntu12 [35.6kB]
Get:18 http://us.archive.ubuntu.com intrepid/main f-spot 0.4.4-1ubuntu4 [1712kB]
Get:19 http://us.archive.ubuntu.com intrepid/main libhal-storage1 0.5.11-3~ubuntu9 [22.6kB]
Get:20 http://us.archive.ubuntu.com intrepid/main hal 0.5.11-3~ubuntu9 [392kB]
Get:21 http://us.archive.ubuntu.com intrepid/main human-icon-theme 0.30 [785kB]
Get:22 http://us.archive.ubuntu.com intrepid/main python-gtkhtml2 2.19.1-0ubuntu11 [26.9kB]
Fetched 16.4MB in 3min20s (81.8kB/s)
Preconfiguring packages ...
(Reading database ... 111617 files and directories currently installed.)
Preparing to replace libc6-dev 2.8~20080505-0ubuntu6 (using .../libc6-dev_2.8~20080505-0ubuntu7_...

Read more...

Kees Cook (kees) on 2008-09-29
Changed in upstart:
assignee: nobody → scott
milestone: none → ubuntu-8.10-beta
status: Confirmed → Fix Committed
Steve Beattie (sbeattie) wrote :

Upgrading the Importance of this bug, as it probably should be a blocker for the beta release.

Changed in upstart:
assignee: scott → nobody
importance: Medium → High
milestone: ubuntu-8.10-beta → none
status: Fix Committed → Confirmed
Kees Cook (kees) on 2008-09-29
Changed in upstart:
assignee: nobody → scott
milestone: none → ubuntu-8.10-beta
status: Confirmed → Fix Committed
Daniel Hollocher (chogydan) wrote :

I don't know if this is a single bug, but I was brought here via duplicates. Apport reports the telinit crash, but the one I observe is from libc6

test@ubuntu:~$ sudo dpkg-reconfigure libc6
Segmentation fault (core dumped)

You can run it over and over, and it keeps happening, whereas the telinit crash/apport only happens on the first time.

The crash is happening during libc6's postinst script which calls "init
u". Your bug is the same. :)

Steve Beattie (sbeattie) wrote :

Yes, the libc6 crash on dpkg-reconfigure is the same bug; the libc6 postinst invokes "init u" which is segfaulting (on i686). It can also be reproduced by directly invoking "sudo init u" or "sudo telinit u". The apport crash-reporter only reports the first time it sees the same bug/crash. You can get apport to re-run by removing the existing crash file /var/crash/_sbin_telinit.0.crash and then triggering the bug again.

I can confirm the problem with libc6, just ran the update from within the update manager.
As soon as it installed (or at least tried to) the crash report poped up.

After reading al posts i tried the suggestions from Steve Beattie to reproduce the error, if someone can tell me what files can help in solving this i will attach those.

here is what i got:

chaser@chasers-laptop:~$ sudo init u
Segmentation fault (core dumped)
chaser@chasers-laptop:~$ sudo telinit u
Segmentation fault (core dumped)

Ubuntu intrepid kernel 2.6.27-4-generic (backports enabled, fully updated)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package upstart - 0.3.9-8

---------------
upstart (0.3.9-8) intrepid; urgency=low

  * Do not attempt to continue communicating with the restarted upstart
    (LP: #273761).

 -- Kees Cook <email address hidden> Mon, 29 Sep 2008 13:35:21 -0700

Changed in upstart:
status: Fix Committed → Fix Released
Hein van Rensburg (hvralpha) wrote :

Crashed with KDE 4.1.1 alpha 6 today after upgrade.

Emilio Pozuelo Monfort (pochu) wrote :

Reopening. I've it too after the upgrade, see bug #276299

Changed in upstart:
status: Fix Released → New
Kees Cook (kees) wrote :

@pochu: if you run "sudo telinit u", does it segfault? I think apport is just showing the wrong version in the report. I've not been able to reproduce the segfault after I installed -8.

Changed in upstart:
status: New → Incomplete
Hein van Rensburg (hvralpha) wrote :

I ran the sudo command and it does not crash now on both my systems (Intel duo and AMD2X).

Almost entirely likely a stale apport report

Changed in upstart:
status: Incomplete → Fix Released

Thank you.

     James

On Wed, Oct 1, 2008 at 4:33 AM, Scott James Remnant <email address hidden>wrote:

> Almost entirely likely a stale apport report
>
> ** Changed in: upstart (Ubuntu Intrepid)
> Status: Incomplete => Fix Released
>
> --
> init u|telinit u crashes with SIGSEGV in main()
> https://bugs.launchpad.net/bugs/273761
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Angel Guzman Maeso (shakaran) wrote :

Same crash for me in Intrepid update.

To post a comment you must log in.